org.wildfly.swarm.config.management.security_realm

## Class TruststoreAuthentication<T extends TruststoreAuthentication<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.TruststoreAuthentication<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class TruststoreAuthentication<T extends TruststoreAuthentication<T>>
      extends HashMap

  Configuration of a keystore to use to create a trust manager to verify clients.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TruststoreAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `keystorePassword()` The password to open the keystore.
    `T` | `keystorePassword(String value)` The password to open the keystore.
    `String` | `keystorePath()` The path of the keystore, will be ignored if the keystore-provider is anything other than JKS.
    `T` | `keystorePath(String value)` The path of the keystore, will be ignored if the keystore-provider is anything other than JKS.
    `String` | `keystoreProvider()` The provider for loading the keystore, defaults to JKS.
    `T` | `keystoreProvider(String value)` The provider for loading the keystore, defaults to JKS.
    `String` | `keystoreRelativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `keystoreRelativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### TruststoreAuthentication

          public TruststoreAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### keystorePassword

          public String keystorePassword()

      The password to open the keystore.

    - #### keystorePassword

          public T keystorePassword(String value)

      The password to open the keystore.

    - #### keystorePath

          public String keystorePath()

      The path of the keystore, will be ignored if the keystore-provider is anything other than JKS.

    - #### keystorePath

          public T keystorePath(String value)

      The path of the keystore, will be ignored if the keystore-provider is anything other than JKS.

    - #### keystoreProvider

          public String keystoreProvider()

      The provider for loading the keystore, defaults to JKS.

    - #### keystoreProvider

          public T keystoreProvider(String value)

      The provider for loading the keystore, defaults to JKS.

    - #### keystoreRelativeTo

          public String keystoreRelativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### keystoreRelativeTo

          public T keystoreRelativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

Copyright © 2017 JBoss by Red Hat. All rights reserved.